package com.jiuqi.util;

import java.util.Comparator;

public class PinYinComparator implements Comparator
{
    private static final String CS_GB2312 = "GB2312";
    private static final String CS_ISO_8859_1 = "ISO-8859-1";
    
    public int compare(final Object o1, final Object o2) {
        try {
            final String s1 = new String(o1.toString().getBytes("GB2312"), "ISO-8859-1");
            final String s2 = new String(o2.toString().getBytes("GB2312"), "ISO-8859-1");
            return s1.compareTo(s2);
        }
        catch (final Exception e) {
            e.printStackTrace();
            return 0;
        }
    }
    
    public static int compareStr(final String os1, final String os2) {
        if (os1 == null || os2 == null) {
            return (os1 == null) ? ((os2 == null) ? 0 : -1) : os1.compareTo(os2);
        }
        try {
            final String s1 = new String(os1.toString().getBytes("GB2312"), "ISO-8859-1");
            final String s2 = new String(os2.toString().getBytes("GB2312"), "ISO-8859-1");
            return s1.compareTo(s2);
        }
        catch (final Exception ex) {
            return 0;
        }
    }
}
